Red Hat: 2010:0167-01: gnutls: Moderate Advisory | LinuxSecurity.com
=====================================================================
                   Red Hat Security Advisory

Synopsis:          Moderate: gnutls security update
Advisory ID:       RHSA-2010:0167-01
Product:           Red Hat Enterprise Linux
Advisory URL:      https://rhn.redhat.com/errata/RHSA-2010-0167.html
Issue date:        2010-03-25
CVE Names:         CVE-2009-3555 CVE-2010-0731 
=====================================================================

1. Summary:

Updated gnutls packages that fix two security issues are now available for
Red Hat Enterprise Linux 4.

The Red Hat Security Response Team has rated this update as having moderate
security impact. Common Vulnerability Scoring System (CVSS) base scores,
which give detailed severity ratings, are available for each vulnerability
from the CVE links in the References section.

2. Relevant releases/architectures:

Red Hat Enterprise Linux AS version 4 - i386, ia64, ppc, s390, s390x, x86_64
Red Hat Enterprise Linux Desktop version 4 - i386, x86_64
Red Hat Enterprise Linux ES version 4 - i386, ia64, x86_64
Red Hat Enterprise Linux WS version 4 - i386, ia64, x86_64

3. Description:

The GnuTLS library provides support for cryptographic algorithms and for
protocols such as Transport Layer Security (TLS).

A flaw was found in the way the TLS/SSL (Transport Layer Security/Secure
Sockets Layer) protocols handled session renegotiation. A man-in-the-middle
attacker could use this flaw to prefix arbitrary plain text to a client's
session (for example, an HTTPS connection to a website). This could force
the server to process an attacker's request as if authenticated using the
victim's credentials. This update addresses this flaw by implementing the
TLS Renegotiation Indication Extension, as defined in RFC 5746.
(CVE-2009-3555)

Refer to the following Knowledgebase article for additional details about
the CVE-2009-3555 flaw: https://kbase.redhat.com/faq/docs/DOC-20491

A flaw was found in the way GnuTLS extracted serial numbers from X.509
certificates. On 64-bit big endian platforms, this flaw could cause the
certificate revocation list (CRL) check to be bypassed; cause various
GnuTLS utilities to crash; or, possibly, execute arbitrary code.
(CVE-2010-0731)

Users of GnuTLS are advised to upgrade to these updated packages, which
contain backported patches to correct these issues. For the update to take
effect, all applications linked to the GnuTLS library must be restarted, or
the system rebooted.

4. Solution:

Before applying this update, make sure all previously-released errata
relevant to your system have been applied.

This update is available via the Red Hat Network. Details on how to
use the Red Hat Network to apply this update are available at
https://kbase.redhat.com/faq/docs/DOC-11259

5. Bugs fixed (https://bugzilla.redhat.com/):

533125 - CVE-2009-3555 TLS: MITM attacks via session renegotiation
573028 - CVE-2010-0731 gnutls: gnutls_x509_crt_get_serial incorrect serial decoding from ASN1 (BE64) [GNUTLS-SA-2010-1]

6. Package List:

Red Hat Enterprise Linux AS version 4:

Source:
ftp://updates.redhat.com/enterprise/4AS/en/os/SRPMS/gnutls-1.0.20-4.el4_8.7.src.rpm

i386:
gnutls-1.0.20-4.el4_8.7.i386.rpm
gnutls-debuginfo-1.0.20-4.el4_8.7.i386.rpm
gnutls-devel-1.0.20-4.el4_8.7.i386.rpm

ia64:
gnutls-1.0.20-4.el4_8.7.i386.rpm
gnutls-1.0.20-4.el4_8.7.ia64.rpm
gnutls-debuginfo-1.0.20-4.el4_8.7.i386.rpm
gnutls-debuginfo-1.0.20-4.el4_8.7.ia64.rpm
gnutls-devel-1.0.20-4.el4_8.7.ia64.rpm

ppc:
gnutls-1.0.20-4.el4_8.7.ppc.rpm
gnutls-1.0.20-4.el4_8.7.ppc64.rpm
gnutls-debuginfo-1.0.20-4.el4_8.7.ppc.rpm
gnutls-debuginfo-1.0.20-4.el4_8.7.ppc64.rpm
gnutls-devel-1.0.20-4.el4_8.7.ppc.rpm

s390:
gnutls-1.0.20-4.el4_8.7.s390.rpm
gnutls-debuginfo-1.0.20-4.el4_8.7.s390.rpm
gnutls-devel-1.0.20-4.el4_8.7.s390.rpm

s390x:
gnutls-1.0.20-4.el4_8.7.s390.rpm
gnutls-1.0.20-4.el4_8.7.s390x.rpm
gnutls-debuginfo-1.0.20-4.el4_8.7.s390.rpm
gnutls-debuginfo-1.0.20-4.el4_8.7.s390x.rpm
gnutls-devel-1.0.20-4.el4_8.7.s390x.rpm

x86_64:
gnutls-1.0.20-4.el4_8.7.i386.rpm
gnutls-1.0.20-4.el4_8.7.x86_64.rpm
gnutls-debuginfo-1.0.20-4.el4_8.7.i386.rpm
gnutls-debuginfo-1.0.20-4.el4_8.7.x86_64.rpm
gnutls-devel-1.0.20-4.el4_8.7.x86_64.rpm

Red Hat Enterprise Linux Desktop version 4:

Source:
ftp://updates.redhat.com/enterprise/4Desktop/en/os/SRPMS/gnutls-1.0.20-4.el4_8.7.src.rpm

i386:
gnutls-1.0.20-4.el4_8.7.i386.rpm
gnutls-debuginfo-1.0.20-4.el4_8.7.i386.rpm
gnutls-devel-1.0.20-4.el4_8.7.i386.rpm

x86_64:
gnutls-1.0.20-4.el4_8.7.i386.rpm
gnutls-1.0.20-4.el4_8.7.x86_64.rpm
gnutls-debuginfo-1.0.20-4.el4_8.7.i386.rpm
gnutls-debuginfo-1.0.20-4.el4_8.7.x86_64.rpm
gnutls-devel-1.0.20-4.el4_8.7.x86_64.rpm

Red Hat Enterprise Linux ES version 4:

Source:
ftp://updates.redhat.com/enterprise/4ES/en/os/SRPMS/gnutls-1.0.20-4.el4_8.7.src.rpm

i386:
gnutls-1.0.20-4.el4_8.7.i386.rpm
gnutls-debuginfo-1.0.20-4.el4_8.7.i386.rpm
gnutls-devel-1.0.20-4.el4_8.7.i386.rpm

ia64:
gnutls-1.0.20-4.el4_8.7.i386.rpm
gnutls-1.0.20-4.el4_8.7.ia64.rpm
gnutls-debuginfo-1.0.20-4.el4_8.7.i386.rpm
gnutls-debuginfo-1.0.20-4.el4_8.7.ia64.rpm
gnutls-devel-1.0.20-4.el4_8.7.ia64.rpm

x86_64:
gnutls-1.0.20-4.el4_8.7.i386.rpm
gnutls-1.0.20-4.el4_8.7.x86_64.rpm
gnutls-debuginfo-1.0.20-4.el4_8.7.i386.rpm
gnutls-debuginfo-1.0.20-4.el4_8.7.x86_64.rpm
gnutls-devel-1.0.20-4.el4_8.7.x86_64.rpm

Red Hat Enterprise Linux WS version 4:

Source:
ftp://updates.redhat.com/enterprise/4WS/en/os/SRPMS/gnutls-1.0.20-4.el4_8.7.src.rpm

i386:
gnutls-1.0.20-4.el4_8.7.i386.rpm
gnutls-debuginfo-1.0.20-4.el4_8.7.i386.rpm
gnutls-devel-1.0.20-4.el4_8.7.i386.rpm

ia64:
gnutls-1.0.20-4.el4_8.7.i386.rpm
gnutls-1.0.20-4.el4_8.7.ia64.rpm
gnutls-debuginfo-1.0.20-4.el4_8.7.i386.rpm
gnutls-debuginfo-1.0.20-4.el4_8.7.ia64.rpm
gnutls-devel-1.0.20-4.el4_8.7.ia64.rpm

x86_64:
gnutls-1.0.20-4.el4_8.7.i386.rpm
gnutls-1.0.20-4.el4_8.7.x86_64.rpm
gnutls-debuginfo-1.0.20-4.el4_8.7.i386.rpm
gnutls-debuginfo-1.0.20-4.el4_8.7.x86_64.rpm
gnutls-devel-1.0.20-4.el4_8.7.x86_64.rpm

These packages are GPG signed by Red Hat for security.  Our key and 
details on how to verify the signature are available from
https://www.redhat.com/security/team/key/#package

7. References:

https://www.redhat.com/security/data/cve/CVE-2009-3555.html
https://www.redhat.com/security/data/cve/CVE-2010-0731.html
https://www.redhat.com/security/updates/classification/#moderate
https://kbase.redhat.com/faq/docs/DOC-20491

8. Contact:

The Red Hat security contact is .  More contact
details at https://www.redhat.com/security/team/contact/

Copyright 2010 Red Hat, Inc.

Red Hat: 2010:0167-01: gnutls: Moderate Advisory

Updated gnutls packages that fix two security issues are now available for Red Hat Enterprise Linux 4

Summary

The GnuTLS library provides support for cryptographic algorithms and for protocols such as Transport Layer Security (TLS).
A flaw was found in the way the TLS/SSL (Transport Layer Security/Secure Sockets Layer) protocols handled session renegotiation. A man-in-the-middle attacker could use this flaw to prefix arbitrary plain text to a client's session (for example, an HTTPS connection to a website). This could force the server to process an attacker's request as if authenticated using the victim's credentials. This update addresses this flaw by implementing the TLS Renegotiation Indication Extension, as defined in RFC 5746. (CVE-2009-3555)
Refer to the following Knowledgebase article for additional details about the CVE-2009-3555 flaw: https://kbase.redhat.com/faq/docs/DOC-20491
A flaw was found in the way GnuTLS extracted serial numbers from X.509 certificates. On 64-bit big endian platforms, this flaw could cause the certificate revocation list (CRL) check to be bypassed; cause various GnuTLS utilities to crash; or, possibly, execute arbitrary code. (CVE-2010-0731)
Users of GnuTLS are advised to upgrade to these updated packages, which contain backported patches to correct these issues. For the update to take effect, all applications linked to the GnuTLS library must be restarted, or the system rebooted.

Solution

Before applying this update, make sure all previously-released erratarelevant to your system have been applied.This update is available via the Red Hat Network. Details on how touse the Red Hat Network to apply this update are available athttps://kbase.redhat.com/faq/docs/DOC-11259

References

https://www.redhat.com/security/data/cve/CVE-2009-3555.html https://www.redhat.com/security/data/cve/CVE-2010-0731.html https://www.redhat.com/security/updates/classification/#moderate https://kbase.redhat.com/faq/docs/DOC-20491

Package List

Red Hat Enterprise Linux AS version 4:
Source: ftp://updates.redhat.com/enterprise/4AS/en/os/SRPMS/gnutls-1.0.20-4.el4_8.7.src.rpm
i386: gnutls-1.0.20-4.el4_8.7.i386.rpm gnutls-debuginfo-1.0.20-4.el4_8.7.i386.rpm gnutls-devel-1.0.20-4.el4_8.7.i386.rpm
ia64: gnutls-1.0.20-4.el4_8.7.i386.rpm gnutls-1.0.20-4.el4_8.7.ia64.rpm gnutls-debuginfo-1.0.20-4.el4_8.7.i386.rpm gnutls-debuginfo-1.0.20-4.el4_8.7.ia64.rpm gnutls-devel-1.0.20-4.el4_8.7.ia64.rpm
ppc: gnutls-1.0.20-4.el4_8.7.ppc.rpm gnutls-1.0.20-4.el4_8.7.ppc64.rpm gnutls-debuginfo-1.0.20-4.el4_8.7.ppc.rpm gnutls-debuginfo-1.0.20-4.el4_8.7.ppc64.rpm gnutls-devel-1.0.20-4.el4_8.7.ppc.rpm
s390: gnutls-1.0.20-4.el4_8.7.s390.rpm gnutls-debuginfo-1.0.20-4.el4_8.7.s390.rpm gnutls-devel-1.0.20-4.el4_8.7.s390.rpm
s390x: gnutls-1.0.20-4.el4_8.7.s390.rpm gnutls-1.0.20-4.el4_8.7.s390x.rpm gnutls-debuginfo-1.0.20-4.el4_8.7.s390.rpm gnutls-debuginfo-1.0.20-4.el4_8.7.s390x.rpm gnutls-devel-1.0.20-4.el4_8.7.s390x.rpm
x86_64: gnutls-1.0.20-4.el4_8.7.i386.rpm gnutls-1.0.20-4.el4_8.7.x86_64.rpm gnutls-debuginfo-1.0.20-4.el4_8.7.i386.rpm gnutls-debuginfo-1.0.20-4.el4_8.7.x86_64.rpm gnutls-devel-1.0.20-4.el4_8.7.x86_64.rpm
Red Hat Enterprise Linux Desktop version 4:
Source: ftp://updates.redhat.com/enterprise/4Desktop/en/os/SRPMS/gnutls-1.0.20-4.el4_8.7.src.rpm
i386: gnutls-1.0.20-4.el4_8.7.i386.rpm gnutls-debuginfo-1.0.20-4.el4_8.7.i386.rpm gnutls-devel-1.0.20-4.el4_8.7.i386.rpm
x86_64: gnutls-1.0.20-4.el4_8.7.i386.rpm gnutls-1.0.20-4.el4_8.7.x86_64.rpm gnutls-debuginfo-1.0.20-4.el4_8.7.i386.rpm gnutls-debuginfo-1.0.20-4.el4_8.7.x86_64.rpm gnutls-devel-1.0.20-4.el4_8.7.x86_64.rpm
Red Hat Enterprise Linux ES version 4:
Source: ftp://updates.redhat.com/enterprise/4ES/en/os/SRPMS/gnutls-1.0.20-4.el4_8.7.src.rpm
i386: gnutls-1.0.20-4.el4_8.7.i386.rpm gnutls-debuginfo-1.0.20-4.el4_8.7.i386.rpm gnutls-devel-1.0.20-4.el4_8.7.i386.rpm
ia64: gnutls-1.0.20-4.el4_8.7.i386.rpm gnutls-1.0.20-4.el4_8.7.ia64.rpm gnutls-debuginfo-1.0.20-4.el4_8.7.i386.rpm gnutls-debuginfo-1.0.20-4.el4_8.7.ia64.rpm gnutls-devel-1.0.20-4.el4_8.7.ia64.rpm
x86_64: gnutls-1.0.20-4.el4_8.7.i386.rpm gnutls-1.0.20-4.el4_8.7.x86_64.rpm gnutls-debuginfo-1.0.20-4.el4_8.7.i386.rpm gnutls-debuginfo-1.0.20-4.el4_8.7.x86_64.rpm gnutls-devel-1.0.20-4.el4_8.7.x86_64.rpm
Red Hat Enterprise Linux WS version 4:
Source: ftp://updates.redhat.com/enterprise/4WS/en/os/SRPMS/gnutls-1.0.20-4.el4_8.7.src.rpm
i386: gnutls-1.0.20-4.el4_8.7.i386.rpm gnutls-debuginfo-1.0.20-4.el4_8.7.i386.rpm gnutls-devel-1.0.20-4.el4_8.7.i386.rpm
ia64: gnutls-1.0.20-4.el4_8.7.i386.rpm gnutls-1.0.20-4.el4_8.7.ia64.rpm gnutls-debuginfo-1.0.20-4.el4_8.7.i386.rpm gnutls-debuginfo-1.0.20-4.el4_8.7.ia64.rpm gnutls-devel-1.0.20-4.el4_8.7.ia64.rpm
x86_64: gnutls-1.0.20-4.el4_8.7.i386.rpm gnutls-1.0.20-4.el4_8.7.x86_64.rpm gnutls-debuginfo-1.0.20-4.el4_8.7.i386.rpm gnutls-debuginfo-1.0.20-4.el4_8.7.x86_64.rpm gnutls-devel-1.0.20-4.el4_8.7.x86_64.rpm
These packages are GPG signed by Red Hat for security. Our key and details on how to verify the signature are available from https://www.redhat.com/security/team/key/#package

Severity
Advisory ID: RHSA-2010:0167-01
Product: Red Hat Enterprise Linux
Advisory URL: https://rhn.redhat.com/errata/RHSA-2010-0167.html
Issued Date: : 2010-03-25
CVE Names: CVE-2009-3555 CVE-2010-0731

Topic

Updated gnutls packages that fix two security issues are now available forRed Hat Enterprise Linux 4.The Red Hat Security Response Team has rated this update as having moderatesecurity impact. Common Vulnerability Scoring System (CVSS) base scores,which give detailed severity ratings, are available for each vulnerabilityfrom the CVE links in the References section.

Relevant Releases Architectures

Red Hat Enterprise Linux AS version 4 - i386, ia64, ppc, s390, s390x, x86_64

Red Hat Enterprise Linux Desktop version 4 - i386, x86_64

Red Hat Enterprise Linux ES version 4 - i386, ia64, x86_64

Red Hat Enterprise Linux WS version 4 - i386, ia64, x86_64

Bugs Fixed

533125 - CVE-2009-3555 TLS: MITM attacks via session renegotiation

573028 - CVE-2010-0731 gnutls: gnutls_x509_crt_get_serial incorrect serial decoding from ASN1 (BE64) [GNUTLS-SA-2010-1]

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.